com.google.gwt.typedarrays.client

## Class ArrayBufferViewNative

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.typedarrays.client.ArrayBufferViewNative

All Implemented Interfaces:
  ArrayBufferView

Direct Known Subclasses:
  DataViewNative, Float32ArrayNative, Float64ArrayNative, Int16ArrayNative, Int32ArrayNative, Int8ArrayNative, Uint16ArrayNative, Uint32ArrayNative, Uint8ArrayNative

    public class ArrayBufferViewNative
    extends JavaScriptObject
    implements ArrayBufferView

Base class for JS implementation of various views.

### Constructor Summary

Constructors
`protected` `ArrayBufferViewNative()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrayBuffer` `buffer()` Get the underlying `ArrayBuffer`.
`int` `byteLength()` Get the length of this view in bytes.
`int` `byteOffset()` Get the offset from the beginning of the underlying `ArrayBuffer`.

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArrayBufferViewNative

    protected ArrayBufferViewNative()

### Method Detail

#### buffer

    public final ArrayBuffer buffer()

Description copied from interface: `ArrayBufferView`
Get the underlying `ArrayBuffer`.

Specified by:
  `buffer` in interface `ArrayBufferView`
Returns:
  the `ArrayBuffer` instance backing this view

#### byteLength

    public final int byteLength()

Description copied from interface: `ArrayBufferView`
Get the length of this view in bytes.

Specified by:
  `byteLength` in interface `ArrayBufferView`
Returns:
  number of bytes in this view

#### byteOffset

    public final int byteOffset()

Description copied from interface: `ArrayBufferView`
Get the offset from the beginning of the underlying `ArrayBuffer`.

Specified by:
  `byteOffset` in interface `ArrayBufferView`
Returns:
  0-based offset from the beginning of `ArrayBufferView.buffer()`